// Copyright 2023 Michael Amann and contributors
// SPDX-License-Identifier: AGPL-3.0-only

package meta

import "strings"

var (
	version = "dev"
	commit  = "none"
)

func GetVersion() string {
	return strings.TrimSpace(version)
}

func GetCommit() string {
	return strings.TrimSpace(commit)
}

func GetShortCommit() string {
	if len(GetCommit()) <= 8 {
		return GetCommit()
	}
	return GetCommit()[:8]
}
